
Redmine - Patch #6690

Redmine link to user profile

2010-10-18 06:49 - Ahmad Azhar

Status: Closed Start date: 2010-10-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Description

new redmine link keyword to user profile.

format: user#1 or user:admin

Related issues:

Related to Redmine - Feature #5228: Users are just numbers Closed 2010-03-31

Is duplicate of Redmine - Feature #4179: Link to user in wiki syntax Closed 2009-11-08

History

#1 - 2010-10-28 00:49 - Jean-Baptiste Barth

- Category set to Text formatting

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.1.0

Good idea, but it comes with some (minor) problems:

it should have some unit tests

link_to_user helper doesn't work the same as other link_to_* ; we can't add only_path option nor css classes easily

I'll have a look at it before 1.1.0.

#2 - 2010-12-12 17:07 - Jean-Philippe Lang

The problem with this patch is that it breaks the users privacy. It would allow someone to see the name of any user, which is not what

UsersController#show does.

#3 - 2010-12-18 14:49 - Jean-Philippe Lang

- Target version changed from 1.1.0 to Unplanned backlogs

1.1 feature freeze.

#4 - 2011-04-14 11:57 - Etienne Massip

- Target version changed from Unplanned backlogs to Candidate for next major release

#5 - 2012-05-14 17:15 - Josh Nijenhuis

Will this allow multiple users?

User:me,you,who

#6 - 2012-05-15 09:44 - Etienne Massip

Josh Nijenhuis wrote:

Will this allow multiple users?

 It's very unlikely, mainly for consistency with other link types.

#7 - 2012-06-10 22:42 - Jean-Baptiste Barth
- Assignee deleted (Jean-Baptiste Barth)

#8 - 2012-06-12 11:34 - Alexander Meindl

- File userlink.patch added

I updated the patch for redmine 1.4.3

#9 - 2012-08-03 13:40 - Rainer Putzinger

+1

This feature request, as well as a first implementation approach, seems to stick around here for quite some time now. I would greatly appreciate this

feature, as we could include references to contact persons qite easily.

#10 - 2012-08-04 12:13 - Terence Mill

+1

#11 - 2012-09-16 07:48 - Vincent Metalhead

- File userlink-1.4.4.patch added

Updated the patch for Redmine 1.4.4-stable.

cd /path/to/redmine

wget http://www.redmine.org/attachments/download/8216/userlink-1.4.4.patch

patch -p0 < userlink-1.4.4.patch

 +1

#12 - 2012-12-04 21:13 - Andriy Lesyuk

WikiNG support this, see: http://projects.andriylesyuk.com/projects/wiking

#13 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#14 - 2013-02-06 15:12 - Rainer Putzinger

+1

I would also greatly appreciate this enhancement. Does not seem to be a big deal! :-)

#15 - 2013-09-11 11:22 - Marcello Pontes

+1

:)

#16 - 2013-09-21 17:23 - Toshi MARUYAMA

- Is duplicate of deleted (Feature #4179: Link to user in wiki syntax)

#17 - 2013-09-21 17:23 - Toshi MARUYAMA

- Related to Feature #4179: Link to user in wiki syntax added

#18 - 2014-01-16 12:53 - Anonymous

+1

#19 - 2014-06-03 14:06 - Ве Fio

+1

#20 - 2017-06-08 09:04 - Marius BĂLTEANU

Link to user profile was committed in #4179. The following syntaxes are supported:

kurumi kurogi

kurumi kurogi
and a new proposal was made to support also user:1.

I think that we can close this issue too.

#21 - 2017-06-09 07:54 - Mischa The Evil

- Related to deleted (Feature #4179: Link to user in wiki syntax)

#22 - 2017-06-09 07:54 - Mischa The Evil

- Is duplicate of Feature #4179: Link to user in wiki syntax added

#23 - 2017-06-09 07:54 - Mischa The Evil

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

Marius BALTEANU wrote:

I think that we can close this issue too.

 Indeed. Closing it as a duplicate of #4179.

Files

redmine-userlink.diff 1.66 KB 2010-10-18 Ahmad Azhar

userlink.patch 1.81 KB 2012-06-12 Alexander Meindl

userlink-1.4.4.patch 1.89 KB 2012-09-16 Vincent Metalhead
